> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/3rd-party-integration/zapier/zapier-use-zapier-to-create-a-qlm-user-when-a-salesforce-lead-is-created.md).

# Zapier - Use Zapier to create a QLM user when a SalesForce lead is created

If you use Zapier and salesforce.com and would like to automatically create a QLM user when a salesforce.com lead is created, follow the steps below:

&#x20;\[Note that this integration is available as of QLM 9.2.16346.1]

* Login to Zapier
* Click Make a Zap
* In the Choose a Trigger App, select: Salesforce
* Then, select New Lead
* Click Save & Continue
* If prompted, connect to your Salesforce account
* Click Fech & Continue
* Click View your lead and confirm that all the information is visible.
* Click Continue
* In the Choose an Action App, select "Code by Zapier"
* Select "Run javascript"
* Click Save + Continue
* In the Code section, paste the content of the attached script (addUser.js)
* Modify the URL in the script to match your QLM License Server
* In the Input Data section, add a row for each field in the address that you would like to map as follows:

| **QLM variable** | **SalesForce Mapping**               |
| ---------------- | ------------------------------------ |
| is\_vendor       | zapier                               |
| is\_vendor       | zapier                               |
| name             | Full Name                            |
| email            | Email                                |
| company          | Company                              |
| address1         | Street                               |
| address2         |                                      |
| phone            | Phone                                |
| region           | State/Province                       |
| country          | Country                              |
| postalcode       | Zip/Postal Code                      |
| city             | City                                 |
| is\_user         | QLM user name for Zapier integration |
| is\_pwd          | QLM password for Zapier integration  |

* You may also see the attached screenshot (SalesForceContactMapping.png).
* Click Continue
* Click Create and Continue
* Connect to QLM and verify that a user was created
* Click Finish
* Name your zap and turn it on.

While the Zap is on, new leads in Salesforce will be automatically created in QLM.

For more details about the *is\_user* and *is\_pwd* argument, refer to this [article](https://support.soraco.co/hc/en-us/articles/201702694-How-to-define-the-user-password-associated-to-an-eCommerce-provider).

&#x20;

* [SalesForceContactMapping.png](https://support.soraco.co/hc/en-us/article_attachments/212022226)50 KB [Download](https://support.soraco.co/hc/en-us/article_attachments/212022226)
* [addUser.js](https://support.soraco.co/hc/en-us/article_attachments/211795803)1 KB [Download](https://support.soraco.co/hc/en-us/article_attachments/211795803)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/3rd-party-integration/zapier/zapier-use-zapier-to-create-a-qlm-user-when-a-salesforce-lead-is-created.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
